Bug 146941 - Crash with debug build when changing paths in options (kf5)
Summary: Crash with debug build when changing paths in options (kf5)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.4.0 target:7.3.1
Keywords: haveBacktrace
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2022-01-23 17:36 UTC by Buovjaga
Modified: 2022-01-25 17:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Backtrace of crash from master (11.41 KB, text/plain)
2022-01-23 17:36 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2022-01-23 17:36:20 UTC
Created attachment 177725 [details]
Backtrace of crash from master

This only happens with a debug build apparently, in safe mode as well.

1. Tools - Options - LibreOffice - Paths
2. Edit a path and change it, OK

Arch Linux 64-bit
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: a86669f4301541b446cab2e4fbbe1d86ba8a8a38
CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 20 January 2022
Comment 1 Michael Weghorn 2022-01-25 11:30:14 UTC
Can reproduce e.g. using the "Backups" item (select, press "Edit", choose another directory, confirm).

Pending fix: https://gerrit.libreoffice.org/c/core/+/128923

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 86a9c860410351125708543c1050bfc0977d3b97
CPU threads: 12; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 2 Commit Notification 2022-01-25 14:02:12 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a85908f507f39c88a6cf244f5f4120361ad5e2ae

tdf#146941 qt: QtFilePicker::finished needs SolarMutexGuard

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-01-25 15:26:16 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/4eccf0c4bd3e7c48352417745d7f00b9c2ff44da

tdf#146941 qt: QtFilePicker::finished needs SolarMutexGuard

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Buovjaga 2022-01-25 17:08:41 UTC
Verified, thanks

Arch Linux 64-bit
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 0b9a4fd995c36c5348026f277aa28564615f2aad
CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded Jumbo
Built on 25 January 2022